=== modified file 'branchview/graphcell.py'
--- branchview/graphcell.py	2011-07-31 15:52:43 +0000
+++ branchview/graphcell.py	2011-08-27 14:34:38 +0000
@@ -19,10 +19,10 @@
 from gi.repository import Gtk
 from gi.repository import GObject
 from gi.repository import Pango
-import cairo
-
-
-class CellRendererGraph(Gtk.GenericCellRenderer):
+from gi.repository import cairo
+
+
+class CellRendererGraph(Gtk.CellRenderer):
     """Cell renderer for directed graph.
 
     Properties:

=== modified file 'branchview/treemodel.py'
--- branchview/treemodel.py	2011-08-12 22:58:29 +0000
+++ branchview/treemodel.py	2011-08-27 14:34:38 +0000
@@ -7,8 +7,8 @@
 __author__    = "Gary van der Merwe <garyvdm@gmail.com>"
 
 
-import gtk
-import gobject
+from gi.repository import Gtk
+from gi.repository import GObject
 from xml.sax.saxutils import escape
 
 from bzrlib.config import parse_username
@@ -34,10 +34,10 @@
 TAGS = 12
 AUTHORS = 13
 
-class TreeModel(Gtk.GenericTreeModel):
+class TreeModel(Gtk.TreeStore):
 
     def __init__ (self, branch, line_graph_data):
-        GObject.GObject.__init__(self)
+        Gtk.GenericTreeModel.__init__(self)
         self.revisions = {}
         self.branch = branch
         self.repository = branch.repository

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2011-08-13 00:28:44 +0000
+++ branchview/treeview.py	2011-08-27 14:34:38 +0000
@@ -105,7 +105,7 @@
         :param broken_line_length: After how much lines to break 
                                    branches.
         """
-        GObject.GObject.__init__(self, spacing=0)
+        Gtk.VBox.__init__(self, homogeneous=False, spacing=0)
 
         self.progress_widget = ProgressPanel()
         self.pack_start(self.progress_widget, expand=False, fill=True)

